
#ifndef _WX_WXMAIN_H_
#define _WX_WXMAIN_H_


// Some definitions to take care of wxWidget 2.6 --> wxWidget 2.8 incompatibility !!
#ifdef __WX26__
#define __CASEMAC case wxMAC : case wxMAC_DARWIN 
#define __CASEWINDOWS case wxWINDOWS_NT 
#define __CASEUNIX case wxGTK 
#else
#define __CASEMAC case wxOS_MAC_OS : case wxOS_MAC_OSX_DARWIN
#define __CASEWINDOWS case wxOS_WINDOWS_9X : case wxOS_WINDOWS_NT 
#define __CASEUNIX case wxOS_UNIX_LINUX 
#endif


// Define a new application type
class MyApp : public wxApp
{
public:
    
    MyApp() {};
    
    TerminalFrame *terminal;

    bool OnInit();
    int OnExit() {return wxApp::OnExit();}

private:

    DECLARE_DYNAMIC_CLASS(MyApp)
    DECLARE_EVENT_TABLE()
};

DECLARE_APP(MyApp)

extern MyApp *myApp;

#ifdef UNICODE
#include <wx/string.h>
#include <wx/strconv.h>
//#define WXSTRING2ANSI(str) ((char*) str.mb_str(wxConvUTF8))
#define WXSTRING2ANSI(str) ((char *) ((const char*) str.mb_str()))
#define ANSI2WXSTRING(input) (wxString(input, wxConvUTF8))
#else
#define WXSTRING2ANSI(str) ((char*) str.c_str())
#define ANSI2WXSTRING(input) (wxString(input))
#endif

#endif
