

#include "lastwave.h"



/*
 * This is the C-function that is called at initialization of LastWave
 * You should declare your packages here
 */


void UserInit(void) 
{ 
  extern void DeclareSignalPackage(void);
  extern void DeclareImagePackage(void);
  extern void DeclareMRWPackage(void); 
  extern void DeclareSoundPackage(void);
  extern void DeclareWtrans1dPackage(void);
  extern void DeclareExtrema1dPackage(void);
  extern void DeclareWtmm1dPackage(void);
  extern void DeclareOWtrans2dPackage(void);
  extern void DeclareCompress2dPackage(void);
  extern void DeclareDWtrans2dPackage(void);
  extern void DeclareStftPackage(void);
  extern void DeclareMpPackage(void);

  extern void DeclareFftw3Package(void);
   
  DeclareSignalPackage();

  DeclareImagePackage();

  DeclareWtrans1dPackage();
  DeclareExtrema1dPackage();

  DeclareWtmm1dPackage();

  DeclareOWtrans2dPackage();
  DeclareCompress2dPackage();
  
  DeclareDWtrans2dPackage();

  DeclareStftPackage();
  DeclareMpPackage();

  DeclareSoundPackage();
  
  DeclareMRWPackage();  
  
  DeclareFftw3Package();  
} 

 
 
